/* ===================================================== */
/* CSS for control sap.ui.layout.form/GridLayout.control */
/* HCB                                                   */
/* ===================================================== */

.sapUiGrid{
	font-size: @sapUiDesktopFontSize;
}

.sapUiGrid > tbody > tr > td{
	padding: 0.25rem 0 0.25rem 0.5rem;
}

.sapUiFormM > .sapUiGrid > tbody > tr > td{
	padding: 0 0 0 0.5rem;
}

.sapUiGrid > tbody > tr > td:first-child{
	padding-left: 1rem;
}

.sapUiGrid > tbody > tr.sapUiGridConteinerFirstRow > td{
	padding-top: 2rem;
}

.sapUiGrid > tbody > tr:first-child > td, /* if no form title */
.sapUiForm[aria-labelledby] > .sapUiGrid > tbody > tr:nth-child(2) > td{
	padding-top: 1rem;
}

/* In Cozy mode put first FormContainers with title or toolbar 0.5rem on top */
.sapUiFormM > .sapUiGrid > tbody > tr:first-child > td.sapUiFormContainerTitle, /* if no Form title */
.sapUiFormM > .sapUiGrid > tbody > tr:first-child > td.sapUiFormContainerToolbar, /* if no Form title */
.sapUiFormM[aria-labelledby] > .sapUiGrid > tbody > tr:nth-child(2) > td.sapUiFormContainerTitle,
.sapUiFormM[aria-labelledby] > .sapUiGrid > tbody > tr:nth-child(2) > td.sapUiFormContainerToolbar{
	padding-top: 0.75rem;
}

.sapUiSizeCompact .sapUiFormM > .sapUiGrid > tbody > tr:first-child > td.sapUiFormContainerTitle, /* if no Form title */
.sapUiSizeCompact .sapUiFormM > .sapUiGrid > tbody > tr:first-child > td.sapUiFormContainerToolbar, /* if no Form title */
.sapUiSizeCompact .sapUiFormM[aria-labelledby] > .sapUiGrid > tbody > tr:nth-child(2) > td.sapUiFormContainerTitle,
.sapUiSizeCompact .sapUiFormM[aria-labelledby] > .sapUiGrid > tbody > tr:nth-child(2) > td.sapUiFormContainerToolbar{
	padding-top: 1rem;
}

.sapUiGrid > tbody > tr > td:last-child{
	padding-right: 1rem;
}

.sapUiGrid > tbody > tr:last-child > td{
	padding-bottom: 1rem;
}

.sapUiFormM > .sapUiGrid > tbody > tr:last-child > td{
	padding-bottom: 0.75rem;
}

.sapUiGrid > tbody > tr > td.sapUiFormElementLbl{
	padding-right: 0.25rem;
}

.sapUiGrid > tbody > tr > td.sapUiGridLabelFull{
	padding-bottom: 0.125rem;
}

.sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr > td.sapUiFormElementLbl{
	padding-top: 1rem;
}

.sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr.sapUiGridConteinerFirstRow > td.sapUiFormElementLbl{
	padding-top: 3rem;
}

.sapUiFormEdit.sapUiFormM >.sapUiGrid > tbody > tr:first-child > td.sapUiFormElementLbl, /* if no Form title */
.sapUiFormEdit[aria-labelledby].sapUiFormM > .sapUiGrid > tbody > tr:nth-child(2) > td.sapUiFormElementLbl{
	padding-top: 2rem;
}

html[data-sap-ui-browser^="ff"] {
	.sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr > td.sapUiFormElementLbl{
		padding-top: 0.9375rem;
	}

	.sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr.sapUiGridConteinerFirstRow > td.sapUiFormElementLbl{
		padding-top: 2.9375rem;
	}

	.sapUiFormEdit.sapUiFormM >.sapUiGrid > tbody > tr:first-child > td.sapUiFormElementLbl, /* if no Form title */
	.sapUiFormEdit[aria-labelledby].sapUiFormM > .sapUiGrid > tbody > tr:nth-child(2) > td.sapUiFormElementLbl{
		padding-top: 1.9375rem;
	}
}

.sapUiSizeCompact .sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr > td.sapUiFormElementLbl{
	padding-top: 0.5rem;
}

.sapUiSizeCompact .sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr.sapUiGridConteinerFirstRow > td.sapUiFormElementLbl{
	padding-top: 2.5rem;
}

.sapUiSizeCompact .sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr:first-child > td.sapUiFormElementLbl, /* if no Form title */
.sapUiSizeCompact .sapUiFormEdit[aria-labelledby].sapUiFormM > .sapUiGrid > tbody > tr:nth-child(2) > td.sapUiFormElementLbl{
	padding-top: 1.5rem;
}

html[data-sap-ui-browser^="ff"].sapUiSizeCompact,
html[data-sap-ui-browser^="ff"] .sapUiSizeCompact{
	.sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr > td.sapUiFormElementLbl{
		padding-top: 0.4375rem;
	}

	.sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr.sapUiGridConteinerFirstRow > td.sapUiFormElementLbl{
		padding-top: 2.4375rem;
	}

	.sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr:first-child > td.sapUiFormElementLbl, /* if no Form title */
	.sapUiFormEdit[aria-labelledby].sapUiFormM > .sapUiGrid > tbody > tr:nth-child(2) > td.sapUiFormElementLbl{
		padding-top: 1.4375rem;
	}
}

.sapUiFormEdit.sapUiFormM > .sapUiGrid > tbody > tr > td.sapUiGridLabelFull{
	padding-top: 0;
}

.sapUiGridSpace{
	width: 1.5rem; /* as cells after separator have padding-left of 0.5rem */
}

.sapUiGrid .sapUiGridHeader{
	padding: 0 0 0 0.5rem;
}

/* Title */
.sapUiGrid th > .sapUiFormTitle{
	box-sizing: border-box;
	padding: 0 1rem 0 1rem;
}

.sapUiGrid .sapUiFormTitle > img,
.sapUiGrid .sapUiFormTitle > span{
	margin-right: 0.25rem;
}

.sapUiGridHeader > .sapUiFormTitle > .sapUiBtn{
	bottom: 0.4375rem;
}

/* Toolbar */
.sapUiGrid.sapUiFormToolbar th{
	height: 3rem; /* to have in compact mode and in commons always 3rem on Form header */
	line-height: 3rem;
	padding: 0 1rem 0 1rem;
	box-sizing: border-box;
}

.sapUiGrid > tbody > tr > .sapUiFormContainerToolbar > div{
	margin-bottom: 0.5rem;
}